snipt

Ctrl+h for KB shortcuts

Text only

snippets for snipmate bash files

# #!/bin/bash
# Created em: Ter 11/Out/2011 hs 08:01
# Last Change: 2011 Out 11 08:02:24
# need snippet for 'usage'
# source: http://snipt.net/voyeg3r/tag/snippets
# header for shell script
snippet sh
	#!/bin/bash
	# Criado em: `system("date +%m-%d-%Y")`
	# Last Change: `system("date +%m-%d-%Y")`
	# vim:ft=sh:fdm=syntax:nu:
	# Instituicao: ${1:instituicao}
	# Proposito do script: ${2:descricao}
	# Autor: ${3:`g:snips_author`}
	# site: ${4:site}
snippet #!
	#!/bin/bash
# test if has dir
snippet ifdir
	[ -d ${1:namedir} ] || mkdir $1 ; cd $1
# source: http://wiki.bash-hackers.org/scripting/style
# if has needed programs in system
snippet has
	NEEDED_COMMANDS="${1:program}"
	missing_counter=0
	for needed_command in $NEEDED_COMMANDS; do
		if ! hash "$needed_command" >/dev/null 2>&1; then
			printf "Command not found in PATH: %s\n" "$needed_command" >&2
			((missing_counter++))
		fi
	done
	if ((missing_counter > 0)); then
		printf "Minimum %d commands are missing in PATH, aborting" "$missing_counter" >&2
		exit 1
	fi
	${2}
snippet existe
	# if which dont returns nothing exit
	NEEDED_COMMAND="$(which ${1:program})" || { echo "Instale primeiro o programa $1"; sleep 3; exit 1;}
snippet ifile
	if [ ! -e ${1:filename}  ]; then
		echo "  file $1 not present"
	fi
snippet if
	if [[ ${1:condition} ]]; then
		${2:#statements}
	fi
snippet elif
	elif [[ ${1:condition} ]]; then
		${2:#statements}
snippet for
	for (( ${2:i} = 0; $2 < ${1:count}; $2++ )); do
		${3:#statements}
	done
snippet wh
	while [[ ${1:condition} ]]; do
		${2:#statements}
	done
snippet until
	[[ ${1:condition} ]]; do
		${2:#statements}
	done
snippet case
	case ${1:word} in
		${2:pattern})
		${3};;
	esac
# ifroot - if root
snippet ir
	# testa se está logado como root
	if [ "$(id -u)" != "0" ]; then
		echo "  Need be root"
		sleep 2
		exit  1
	fi
snippet lock
	LOCK_FILE=/tmp/.lock
	(set -C; :  > $LOCK_FILE) 2> /dev/null
	if [  $? != "0" ];  then
	  echo "Lock File exists - exiting"
	   sleep 1
	   exit 1
	fi
	${1}
snippet usage
	usage()
	{
		echo "Usage: $(basename $${1:0}) ${2:argument}"
		echo "${3:explanation}"
	}
snippet lower
	${1:var}=${$1,,}
	${2}
snippet upper
	${1:var}=${$1^^}
	${2}
snippet array
	#ARRAY=( 'Debian Linux' 'Redhat Linux' Ubuntu Linux )
	# get number of elements in the array
	ELEMENTS=${#ARRAY[@]}
	for (( i=0;i<$ELEMENTS;i++)); do
		${1:echo} ${ARRAY[${i}]}
	done
	${2:out}
snippet alias
	alias ${1:name}='${2:action}'
https://snipt.net/embed/1b083c7ae7b75f51cba62e2678bd5ae2/
/raw/1b083c7ae7b75f51cba62e2678bd5ae2/
1b083c7ae7b75f51cba62e2678bd5ae2
text
Text only
106
2019-06-25T12:21:19
True
False
False
/api/public/snipt/5770/
snippets-for-snipmate-bash-files
<table class="highlighttable"><tr><td class="linenos"><div class="linenodiv"><pre><a href="#L-1"> 1</a> <a href="#L-2"> 2</a> <a href="#L-3"> 3</a> <a href="#L-4"> 4</a> <a href="#L-5"> 5</a> <a href="#L-6"> 6</a> <a href="#L-7"> 7</a> <a href="#L-8"> 8</a> <a href="#L-9"> 9</a> <a href="#L-10"> 10</a> <a href="#L-11"> 11</a> <a href="#L-12"> 12</a> <a href="#L-13"> 13</a> <a href="#L-14"> 14</a> <a href="#L-15"> 15</a> <a href="#L-16"> 16</a> <a href="#L-17"> 17</a> <a href="#L-18"> 18</a> <a href="#L-19"> 19</a> <a href="#L-20"> 20</a> <a href="#L-21"> 21</a> <a href="#L-22"> 22</a> <a href="#L-23"> 23</a> <a href="#L-24"> 24</a> <a href="#L-25"> 25</a> <a href="#L-26"> 26</a> <a href="#L-27"> 27</a> <a href="#L-28"> 28</a> <a href="#L-29"> 29</a> <a href="#L-30"> 30</a> <a href="#L-31"> 31</a> <a href="#L-32"> 32</a> <a href="#L-33"> 33</a> <a href="#L-34"> 34</a> <a href="#L-35"> 35</a> <a href="#L-36"> 36</a> <a href="#L-37"> 37</a> <a href="#L-38"> 38</a> <a href="#L-39"> 39</a> <a href="#L-40"> 40</a> <a href="#L-41"> 41</a> <a href="#L-42"> 42</a> <a href="#L-43"> 43</a> <a href="#L-44"> 44</a> <a href="#L-45"> 45</a> <a href="#L-46"> 46</a> <a href="#L-47"> 47</a> <a href="#L-48"> 48</a> <a href="#L-49"> 49</a> <a href="#L-50"> 50</a> <a href="#L-51"> 51</a> <a href="#L-52"> 52</a> <a href="#L-53"> 53</a> <a href="#L-54"> 54</a> <a href="#L-55"> 55</a> <a href="#L-56"> 56</a> <a href="#L-57"> 57</a> <a href="#L-58"> 58</a> <a href="#L-59"> 59</a> <a href="#L-60"> 60</a> <a href="#L-61"> 61</a> <a href="#L-62"> 62</a> <a href="#L-63"> 63</a> <a href="#L-64"> 64</a> <a href="#L-65"> 65</a> <a href="#L-66"> 66</a> <a href="#L-67"> 67</a> <a href="#L-68"> 68</a> <a href="#L-69"> 69</a> <a href="#L-70"> 70</a> <a href="#L-71"> 71</a> <a href="#L-72"> 72</a> <a href="#L-73"> 73</a> <a href="#L-74"> 74</a> <a href="#L-75"> 75</a> <a href="#L-76"> 76</a> <a href="#L-77"> 77</a> <a href="#L-78"> 78</a> <a href="#L-79"> 79</a> <a href="#L-80"> 80</a> <a href="#L-81"> 81</a> <a href="#L-82"> 82</a> <a href="#L-83"> 83</a> <a href="#L-84"> 84</a> <a href="#L-85"> 85</a> <a href="#L-86"> 86</a> <a href="#L-87"> 87</a> <a href="#L-88"> 88</a> <a href="#L-89"> 89</a> <a href="#L-90"> 90</a> <a href="#L-91"> 91</a> <a href="#L-92"> 92</a> <a href="#L-93"> 93</a> <a href="#L-94"> 94</a> <a href="#L-95"> 95</a> <a href="#L-96"> 96</a> <a href="#L-97"> 97</a> <a href="#L-98"> 98</a> <a href="#L-99"> 99</a> <a href="#L-100">100</a> <a href="#L-101">101</a> <a href="#L-102">102</a> <a href="#L-103">103</a> <a href="#L-104">104</a> <a href="#L-105">105</a> <a href="#L-106">106</a></pre></div></td><td class="code"><div class="highlight"><pre><span></span><span id="L-1"><a name="L-1"></a># #!/bin/bash </span><span id="L-2"><a name="L-2"></a># Created em: Ter 11/Out/2011 hs 08:01 </span><span id="L-3"><a name="L-3"></a># Last Change: 2011 Out 11 08:02:24 </span><span id="L-4"><a name="L-4"></a># need snippet for &#39;usage&#39; </span><span id="L-5"><a name="L-5"></a># source: http://snipt.net/voyeg3r/tag/snippets </span><span id="L-6"><a name="L-6"></a># header for shell script </span><span id="L-7"><a name="L-7"></a>snippet sh </span><span id="L-8"><a name="L-8"></a> #!/bin/bash </span><span id="L-9"><a name="L-9"></a> # Criado em: `system(&quot;date +%m-%d-%Y&quot;)` </span><span id="L-10"><a name="L-10"></a> # Last Change: `system(&quot;date +%m-%d-%Y&quot;)` </span><span id="L-11"><a name="L-11"></a> # vim:ft=sh:fdm=syntax:nu: </span><span id="L-12"><a name="L-12"></a> # Instituicao: ${1:instituicao} </span><span id="L-13"><a name="L-13"></a> # Proposito do script: ${2:descricao} </span><span id="L-14"><a name="L-14"></a> # Autor: ${3:`g:snips_author`} </span><span id="L-15"><a name="L-15"></a> # site: ${4:site} </span><span id="L-16"><a name="L-16"></a>snippet #! </span><span id="L-17"><a name="L-17"></a> #!/bin/bash </span><span id="L-18"><a name="L-18"></a># test if has dir </span><span id="L-19"><a name="L-19"></a>snippet ifdir </span><span id="L-20"><a name="L-20"></a> [ -d ${1:namedir} ] || mkdir $1 ; cd $1 </span><span id="L-21"><a name="L-21"></a># source: http://wiki.bash-hackers.org/scripting/style </span><span id="L-22"><a name="L-22"></a># if has needed programs in system </span><span id="L-23"><a name="L-23"></a>snippet has </span><span id="L-24"><a name="L-24"></a> NEEDED_COMMANDS=&quot;${1:program}&quot; </span><span id="L-25"><a name="L-25"></a> missing_counter=0 </span><span id="L-26"><a name="L-26"></a> for needed_command in $NEEDED_COMMANDS; do </span><span id="L-27"><a name="L-27"></a> if ! hash &quot;$needed_command&quot; &gt;/dev/null 2&gt;&amp;1; then </span><span id="L-28"><a name="L-28"></a> printf &quot;Command not found in PATH: %s\n&quot; &quot;$needed_command&quot; &gt;&amp;2 </span><span id="L-29"><a name="L-29"></a> ((missing_counter++)) </span><span id="L-30"><a name="L-30"></a> fi </span><span id="L-31"><a name="L-31"></a> done </span><span id="L-32"><a name="L-32"></a> if ((missing_counter &gt; 0)); then </span><span id="L-33"><a name="L-33"></a> printf &quot;Minimum %d commands are missing in PATH, aborting&quot; &quot;$missing_counter&quot; &gt;&amp;2 </span><span id="L-34"><a name="L-34"></a> exit 1 </span><span id="L-35"><a name="L-35"></a> fi </span><span id="L-36"><a name="L-36"></a> ${2} </span><span id="L-37"><a name="L-37"></a>snippet existe </span><span id="L-38"><a name="L-38"></a> # if which dont returns nothing exit </span><span id="L-39"><a name="L-39"></a> NEEDED_COMMAND=&quot;$(which ${1:program})&quot; || { echo &quot;Instale primeiro o programa $1&quot;; sleep 3; exit 1;} </span><span id="L-40"><a name="L-40"></a>snippet ifile </span><span id="L-41"><a name="L-41"></a> if [ ! -e ${1:filename} ]; then </span><span id="L-42"><a name="L-42"></a> echo &quot; file $1 not present&quot; </span><span id="L-43"><a name="L-43"></a> fi </span><span id="L-44"><a name="L-44"></a>snippet if </span><span id="L-45"><a name="L-45"></a> if [[ ${1:condition} ]]; then </span><span id="L-46"><a name="L-46"></a> ${2:#statements} </span><span id="L-47"><a name="L-47"></a> fi </span><span id="L-48"><a name="L-48"></a>snippet elif </span><span id="L-49"><a name="L-49"></a> elif [[ ${1:condition} ]]; then </span><span id="L-50"><a name="L-50"></a> ${2:#statements} </span><span id="L-51"><a name="L-51"></a>snippet for </span><span id="L-52"><a name="L-52"></a> for (( ${2:i} = 0; $2 &lt; ${1:count}; $2++ )); do </span><span id="L-53"><a name="L-53"></a> ${3:#statements} </span><span id="L-54"><a name="L-54"></a> done </span><span id="L-55"><a name="L-55"></a>snippet wh </span><span id="L-56"><a name="L-56"></a> while [[ ${1:condition} ]]; do </span><span id="L-57"><a name="L-57"></a> ${2:#statements} </span><span id="L-58"><a name="L-58"></a> done </span><span id="L-59"><a name="L-59"></a>snippet until </span><span id="L-60"><a name="L-60"></a> [[ ${1:condition} ]]; do </span><span id="L-61"><a name="L-61"></a> ${2:#statements} </span><span id="L-62"><a name="L-62"></a> done </span><span id="L-63"><a name="L-63"></a>snippet case </span><span id="L-64"><a name="L-64"></a> case ${1:word} in </span><span id="L-65"><a name="L-65"></a> ${2:pattern}) </span><span id="L-66"><a name="L-66"></a> ${3};; </span><span id="L-67"><a name="L-67"></a> esac </span><span id="L-68"><a name="L-68"></a># ifroot - if root </span><span id="L-69"><a name="L-69"></a>snippet ir </span><span id="L-70"><a name="L-70"></a> # testa se está logado como root </span><span id="L-71"><a name="L-71"></a> if [ &quot;$(id -u)&quot; != &quot;0&quot; ]; then </span><span id="L-72"><a name="L-72"></a> echo &quot; Need be root&quot; </span><span id="L-73"><a name="L-73"></a> sleep 2 </span><span id="L-74"><a name="L-74"></a> exit 1 </span><span id="L-75"><a name="L-75"></a> fi </span><span id="L-76"><a name="L-76"></a>snippet lock </span><span id="L-77"><a name="L-77"></a> LOCK_FILE=/tmp/.lock </span><span id="L-78"><a name="L-78"></a> (set -C; : &gt; $LOCK_FILE) 2&gt; /dev/null </span><span id="L-79"><a name="L-79"></a> if [ $? != &quot;0&quot; ]; then </span><span id="L-80"><a name="L-80"></a> echo &quot;Lock File exists - exiting&quot; </span><span id="L-81"><a name="L-81"></a> sleep 1 </span><span id="L-82"><a name="L-82"></a> exit 1 </span><span id="L-83"><a name="L-83"></a> fi </span><span id="L-84"><a name="L-84"></a> ${1} </span><span id="L-85"><a name="L-85"></a>snippet usage </span><span id="L-86"><a name="L-86"></a> usage() </span><span id="L-87"><a name="L-87"></a> { </span><span id="L-88"><a name="L-88"></a> echo &quot;Usage: $(basename $${1:0}) ${2:argument}&quot; </span><span id="L-89"><a name="L-89"></a> echo &quot;${3:explanation}&quot; </span><span id="L-90"><a name="L-90"></a> } </span><span id="L-91"><a name="L-91"></a>snippet lower </span><span id="L-92"><a name="L-92"></a> ${1:var}=${$1,,} </span><span id="L-93"><a name="L-93"></a> ${2} </span><span id="L-94"><a name="L-94"></a>snippet upper </span><span id="L-95"><a name="L-95"></a> ${1:var}=${$1^^} </span><span id="L-96"><a name="L-96"></a> ${2} </span><span id="L-97"><a name="L-97"></a>snippet array </span><span id="L-98"><a name="L-98"></a> #ARRAY=( &#39;Debian Linux&#39; &#39;Redhat Linux&#39; Ubuntu Linux ) </span><span id="L-99"><a name="L-99"></a> # get number of elements in the array </span><span id="L-100"><a name="L-100"></a> ELEMENTS=${#ARRAY[@]} </span><span id="L-101"><a name="L-101"></a> for (( i=0;i&lt;$ELEMENTS;i++)); do </span><span id="L-102"><a name="L-102"></a> ${1:echo} ${ARRAY[${i}]} </span><span id="L-103"><a name="L-103"></a> done </span><span id="L-104"><a name="L-104"></a> ${2:out} </span><span id="L-105"><a name="L-105"></a>snippet alias </span><span id="L-106"><a name="L-106"></a> alias ${1:name}=&#39;${2:action}&#39; </span></pre></div> </td></tr></table>
bash, snipmate, snippets